Bug 80564 - RFE: Use the availability of "mwm" and/or "twm" in GDM
RFE: Use the availability of "mwm" and/or "twm" in GDM
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: gdm (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-27 17:36 EST by Peter van Egdom
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-02 17:27:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2002-12-27 17:36:15 EST
From Bugzilla Helper:

User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
As it seems that the low-memory-using WindowMaker is deprecitated from Red Hat
Linux release 8.0.92 (Phoebe) and future releases (I hope I'm wrong), I want to
make the following suggestion.

I have a 64 MB HP Vectra workstation at my work at my disposable. This
workstation has been running RH 7.3 for quite a while. This morning I installed
RH 8.0.92 on it and came to the  conclusion that for decently working with the
current KDE and GNOME _at least_ 128 MB is required for normal usage.

.... Luckely I had an alternative - the 'Failsafe' option from GDM.

This in combination with "twm" (which is always installed with X if I'm correct)
or "mwm" gives a light-weight working environment for the user on a older
workstation.

Here's my proposal :

Could it be possible to include the following entries as new Sessions to choose
from (defined in the directory /etc/X11/gdm/Sessions).

MWM
TWM

The entries could be part of the corresponding packages so that they are only
visible when the corresponding packages are installed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH 8.0.92 on a low-end machine.
2. Come to the conclusion that both KDE and GNOME aren't very fast under the
      conditions.
3.type "twm" or "mwm" in a Failsafe session.
    

Actual Results: 
 As better-than-nothing alternatives for Window Maker "twm" and "mwm" are
satisfactory. 
(if WindowMaker is really depricated).

Expected Results:  
- WindowMaker
- TWM
- MWM
 should have entries in the Sessions menu.

Additional info:
Comment 1 Havoc Pennington 2003-01-02 17:27:56 EST
The way to use these setups is to create a ~/.Xclients that runs them, 
then use the "Default" session ("Default" means ".Xclients if present", 
oddly)

They require some technical skill to use so people should have to 
use the command line to enable them.

You can also of course trivially drop new session scripts into
/etc/X11/whereverit is.

Note You need to log in before you can comment on or make changes to this bug.